local remap = vim.api.nvim_set_keymap

vim.g.floaterm_open_in_root  = 0
vim.g.floaterm_position      = 'center'
vim.g.floaterm_width         = 0.8
vim.g.floaterm_height        = 0.8
vim.g.floaterm_winblend      = 0
vim.g.floaterm_borderchars   = {'─', '│', '─', '│', '╭', '╮', '╯', '╰'}
vim.g.floaterm_gitcommit     = 'floaterm'

remap('n', '<C-z>', ':FloatermToggle<CR>', { noremap = true, silent = true })
remap('t', '<C-z>', '<C-\\><C-n>:FloatermToggle<CR>', { noremap = true, silent = true })
